Name:           dictconv
Version:        0.2
Release:        1%{?dist}
Summary:        Dictionary format converter

Group:          Applications/Productivity
License:        GPL v2
URL:            http:///ktranslator.sourceforge.net/
Source0:        http://switch.dl.sourceforge.net/project/ktranslator/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	make, autoconf, automake, gcc, gcc-c++
#, cmake
BuildRequires:  zlib-devel, libxml2-devel >= 2.5.0

Patch0: dictconv-gcc43.patch

%description
The program detects the type of dictionary by its extension:

.bgl for Babylon glossaries
.dct for Sdictionary dictionaries.
.dic for plain text dictionaries
.ifo for StarDict dictionaries
.index for DICT dictionaries
.tei for Freedict dictionaries (XML format)

Currently, it supports converting from Babylon glossaries,
Freedict dictionaries, Sdictionary dictionaries and Stardict dictionaries
to DICT dictionaries, plain text dictionaries and StarDict dictionaries.
More file types will be added in new versions. When converting to StarDict
and DICT, the .dict file is not compressed.
This feature will be added in future.

%prep
%setup -q
%patch0 -p1

%build
%configure
#mkdir build 
#cd build 
#cmake .. 
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README NEWS TODO AUTHORS INSTALL ChangeLog COPYING
%{_bindir}/%{name}

%changelog
* Thu Nov 11 2010 Vasile Chelban <vchelban@fedoramd.org> 0.2-1
- Initial RPM release
